Description

I an experiencing a weird issue with Redmine not accepting some certain text in the issue description. The server returns HTTP 504

both when I attempt to create a new issue, or to change the description of an existing one.

The problematic text is the following (JS code):

fail( function () {                                                 

    $('#workspace').removeSpinner();                                    

} );                                                                    

 To reproduce the problem, simply copy-paste the above block of code to the description field of an issue in Redmine. It doesn't

matter if the issue description contains only this block, or also some other text. It doesn't matter if the code is enclosed in

<pre>..</pre> or not.

Nothing is written to the log after the message of a successful rendering of the page "/redmine/projects/viking/issues/new".

The following setup is used:

Environment:

  Redmine version                3.4.11.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]

  Rails version                  4.2.11.1

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Git                            2.7.4

  Filesystem                     

Redmine plugins:

  advanced_roadmap               0.11.0

History

#1 - 2019-11-29 14:38 - Vasili Korol

The version of Redmine used on this website accepted the issue description...

#2 - 2019-11-29 15:54 - Vasili Korol

Further investigation reveals that the problem is actually with the following construction:

() {}

 Using that as an issue description breaks Redmine.

Removing the space between () and {} does not produce the error!

The error only occurs when the issue is saved. Clicking "preview" works fine.

#3 - 2019-11-29 16:30 - Go MAEDA

Considering the fact that the HTTP status code was 504 (Gateway Timeout) and nothing was written in the log, I think the error occurred in the proxy

server or some device between the Redmine server and your PC.

#4 - 2019-12-02 09:44 - Vasili Korol

- Status changed from New to Resolved
You are right.

Something seems wrong with the reverse proxy.

Sorry for the fuss, please close the issue.

#5 - 2019-12-02 09:54 - Go MAEDA

- Status changed from Resolved to Closed

Thank you for the feedback. Closing.
